<?php
if (!defined('_GNUBOARD_')) exit; // 개별 페이지 접근 불가 

if($amina['po_view'] && $v_icon['po_view_point'] > 0) {
	if($is_admin || $member['mb_level'] >= $amina['po_view_free'] || $member['mb_id'] == $view['mb_id']) {
		$is_po_view = 'free';
	} else {
		if($member['mb_id']) {
			if($member['mb_level'] < $amina['po_view_level']) {
				$is_po_view = 'none';
			} else {
				include_once(AMINA_PATH.'/lib/point.lib.php');
				$po_view = array();
				$po_view = amina_point("check", $bo_table, $wr_id, $view['mb_id'], $v_icon['po_view_point'], '@po_view', $view['wr_datetime']);
				if($po_view['is_po']) {
					$is_po_view = 'new';
				} else {
					$is_po_view = 'ing';
				}
			}
		} else {
			$is_po_view = 'new';
		}
	}
}

if($is_po_view) {
	$po_screenshot = false;
	if($is_po_view == "ing") {
		if($amina['po_view_cnt'] > 0 || $amina['po_view_day'] > 0) {
			if($amina['po_view_cnt'] > 0 && $amina['po_view_day'] > 0) {
				$po_view_txt = "회원님은 <b>{$po_view['po_endtime']}까지 {$po_view['po_remain']}회</b> 열람할 수 있습니다.";
			} else if($amina['po_view_cnt'] > 0 && (!$amina['po_view_day'] || $amina['po_view_day'] < 0)) {
				$po_view_txt = "회원님은 <b>{$po_view['po_remain']}회</b> 열람할 수 있습니다.";
			} else if($amina['po_view_day'] > 0 && (!$amina['po_view_cnt'] || $amina['po_view_cnt'] < 0)) {
				$po_view_txt = "회원님은 <b>{$po_view['po_endtime']}까지</b> 열람할 수 있습니다.";
			}
			if($po_view_txt && $po_view['po_free'] > 0) $po_view_txt .= "(지금부터 {$po_view['po_free']}시간은 무료)";
		} else {
			$po_view_txt = '회원님은 열람할 수 있습니다.(MP 지급 완료)';
		}
	} else if($is_po_view == "new") {
		if($amina['po_view_cnt'] > 0 || $amina['po_view_day'] > 0) {
			if($amina['po_view_cnt'] > 0 && $amina['po_view_day'] > 0) {
				$po_view_txt = "<b>".number_format($v_icon['po_view_point'])." MP</b>로 <b>{$amina['po_view_day']}일간 {$amina['po_view_cnt']}회</b> 열람할 수 있습니다.";
			} else if($amina['po_view_cnt'] > 0 && (!$amina['po_view_day'] || $amina['po_view_day'] < 0)) {
				$po_view_txt = "<b>".number_format($v_icon['po_view_point'])." MP</b>로 <b>{$amina['po_view_cnt']}회</b> 열람할 수 있습니다.";
			} else if($amina['po_view_day'] > 0 && (!$amina['po_view_cnt'] || $amina['po_view_cnt'] < 0)) {
				$po_view_txt = "<b>".number_format($v_icon['po_view_point'])." MP</b>로 <b>{$amina['po_view_day']}일간</b> 열람할 수 있습니다.";
			}

			if($po_view_txt && $amina['po_view_time'] > 0) $po_view_txt .= "(열람후 {$amina['po_view_time']}시간은 무료)";
		} else {
			$po_view_txt = "<b>".number_format($v_icon[po_view_point])." MP</b>로 열람할 수 있습니다.";
		}

		if($v_icon['po_img_cnt'] > 0) {
			$po_screenshot = true;
			$po_screenshot_cnt = $v_icon['po_img_cnt'];
		}
	} else if($is_po_view == "free") {
		$po_view_txt = '회원님은 무료로 열람할 수 있습니다.';
	} else if($is_po_view == "none") {
		$po_view_txt = '회원님은 열람 권한이 없습니다.';
	}
}

//다운포인트
if($amina['po_down'] && $v_icon['po_down_point'] > 0 && amina_attach_file($view['file'])) {
	if($is_admin || $member['mb_level'] >= $amina['po_down_free'] || $member['mb_id'] == $view['mb_id']) {
		$is_po_down = 'free';
	} else {
		if($member['mb_id']) {
			if($member['mb_level'] < $amina['po_down_level']) {
				$is_po_down = 'none';
			} else {
				include_once(AMINA_PATH.'/lib/point.lib.php');
				$po_down = array();
				$po_down = amina_point("check", $bo_table, $wr_id, $view['mb_id'], $v_icon['po_down_point'], '@po_down', $view['wr_datetime']);
				if($po_down['is_po']) {
					$is_po_down = 'new';
				} else {
					$is_po_down = 'ing';
				}
			}
		} else {
			$is_po_down = 'new';
		}
	}
}

if($is_po_down) {
	if($is_po_down == "ing") {
		if($amina['po_down_cnt'] > 0 || $amina['po_down_day'] > 0) {
			if($amina['po_down_cnt'] > 0 && $amina['po_down_day'] > 0) {
				$po_down_txt = "회원님은 {$po_down['po_endtime']}까지 {$po_down['po_remain']}회 다운받을 수 있습니다.";
			} else if($amina['po_down_cnt'] > 0 && (!$amina['po_down_day'] || $amina['po_down_day'] < 0)) {
				$po_down_txt = "회원님은 {$po_down['po_remain']}회 다운받을 수 있습니다.";
			} else if($amina['po_down_day'] > 0 && (!$amina['po_down_cnt'] || $amina['po_down_cnt'] < 0)) {
				$po_down_txt = "회원님은 {$po_down['po_endtime']}까지 다운받을 수 있습니다.";
			}
			if($po_down_txt && $po_down['po_free'] > 0) $po_down_txt .= "(지금부터 {$po_down['po_free']}시간은 무료)";
		} else {
			$po_down_txt = '회원님은 다운받을 수 있습니다.(MP 지급 완료)';
		}
	} else if($is_po_down == "new") {
		if($amina['po_down_cnt'] > 0 || $amina['po_down_day'] > 0) {
			if($amina['po_down_cnt'] > 0 && $amina['po_down_day'] > 0) {
				$po_down_txt = number_format($v_icon['po_down_point'])." MP로 {$amina['po_down_day']}일간 {$amina['po_down_cnt']}회 다운받을 수 있습니다.";
			} else if($amina['po_down_cnt'] > 0 && (!$amina['po_down_day'] || $amina['po_down_day'] < 0)) {
				$po_down_txt = number_format($v_icon['po_down_point'])." MP로 {$amina['po_down_cnt']}회 다운받을 수 있습니다.";
			} else if($amina['po_down_day'] > 0 && (!$amina['po_down_cnt'] || $amina['po_down_cnt'] < 0)) {
				$po_down_txt = number_format($v_icon['po_down_point'])." MP로 {$amina['po_down_day']}일간 다운받을 수 있습니다.";
			}
			if($po_down_txt && $amina['po_down_time'] > 0) $po_down_txt .= "(다운후 {$amina['po_down_time']}시간은 무료)";
		} else {
			$po_down_txt = number_format($v_icon['po_down_point'])." MP로 다운받을 수 있습니다.";
		}
	} else if($is_po_down == "free") {
		$po_down_txt = '회원님은 무료로 다운받을 수 있습니다.';
	} else if($is_po_down == 'none') {
		$po_down_txt = '회원님은 다운 권한이 없습니다.';
	}
}

?>